***********************************
1.4.2
книги
 - Ускорена работа в некоторых местах
 - При добавлении нового произведения для книги можно переключится 
   на список авторов заданных в текущей книге
 - Добавлено поле "Тираж"
 - Добавлены плугины для выгрузки/загрузки описания книги каталога 
   для обмена описаниями
 - Подправлены отчёты (Карточка книги, карточка автора)
 - Исправлены ошибки в плугинах 
 - Максимальное значение поля "Позиция в серии" увеличено до 999
   Подправлен отчёт по серии
 - Добавлена возможность менять статус сразу у нескольких книг
 - Расширены поля "УДК", "ББК", "Издающая организация"
 - Раширено поле для ввода/отображения "типа" произведения, также сделана
   возможность изменять размер выпадающего окна(при выходе не запоминается)
 - Ширина колонок в списке произведений входящих в серию сохраняется корректно
 - Литературные серии можно задавать как сериал с подсериями (иерархия то бишь)
 - Исправлена фильтрация по жанру, раньше не учитывались жанры третьего 
   и более уровня вложенности
видео
аудио
 - Исправлена ошибка отображения содержания, если в базе нет ни одного диска
 - Исправлена ошибка, возникающая при вызове настроек списка в основном окне
данные
 - Заменён компонент отрисовки структуры, список и дерево объеденены. Как 
   следствие скорость открытия дисков с большим количеством файлов возросла 
   в разы.
 - Исправлена ошибка с пропаданием информации по диску(Тип,метка,размеры,...)
 - Исправлена ошибка с неверным определением типа диска (CD-ROM/Network Drive)
   После исправления возможно неверное отображение типа ранее сохранённых дисков
   Можно исправить при помощи плугина SQL-редактор
 - Поле "Метка диска" увеличено до 32 символов
 - Сделан поиск по всем дискам, поэтому "Поиск" убран из редактирования диска
 - Исправлена ошибка с типом поля структуры, которая приводила к порче 
   сохранённой структуры
 - Исправлено отображение с учётом категории, раньше не учитывались категории третьего
   и более уровня вложенности
общее
 - Исправлена ошибка в плугине SQL-редактор при вызове построителя запросов
 - Заменён стандартный менеждер памяти, borlndmm.dll больше не требуется
 - Изменены горячие клавиши запуска модулей:
    Ctrl+B(Книги)
    Ctrl+V(Видео)
    Ctrl+A(Аудио)
    Ctrl+D(Данные)
***********************************
1.4.1
книги
 - обновлена версия плугина для FB2
 - плугин для извлечения файлов книг из ZIP
 - плугин для массовой загрузки файлов
 - восстановлена работоспособность плугина для Alib.ru
 - ввод авторов, переводчиков, наград непосредственно при 
   редактировании произведения
 - Разбор результатов работы плугинов вынесен в самостоятельный плугин
 - (Для файлов через плугин) если книга уже есть происходит переход на неё и обновление данных
 - Можно в настройках задать программу для чтения 
   (понимает параметры file.exe [%1] [остальные], %1 - имя файла, остальные - параметры ридера)
 - фильтр работает с учётом древовидности жанров
видео
 - Добавлены экспорт при печати каталога в Excel и улучшенный RTF
 - Добавлена возможность распечатать список как есть
 - Можно выгружать список в файл
аудио
 - Добавлена возможность распечатать список как есть
 - Можно выгружать список в файл
 - исправлена ошибка при печати
дата
 - сделана настройка списка в главном окне как и у других модулей
 - Можно выгружать список в файл
 - Можно сортировать основной список кликая по заголовкам 
   столбцов Ctrl+LeftMouseButton. При следующем открытии настройки сортировки 
   сохраняются, но знаки сортировки не показываются (чтобы избежать проблем, 
   если сортируемый столбец скрыли)
 - Поиск файлов по имени (пока в пределах одного диска)
общее
 - Немного изменён интерфейс программы
 - Плугин для выполнения SQL-запросов
***********************************
1.4.0
книги
 - Сделаны настройки параметров издания по умолчанию
 - Возможность задать путь по умолчанию для электронных изданий. Также
   после выбора файла, если этот путь задан он заменяется на %BookFiles%
   для более легкого переноса базы.
 - В справочнике примечания по автору показываются если развернуть 
   окно на весь экран
 - Персональный рейтинг для книг
 - Для автора добавлены URL(много) и e-mail
 - Для произведений добавлены примечания и Конкурсы/Номинации/Места
 - Можно сортировать основной список кликая по заголовкам 
   столбцов Ctrl+LeftMouseButton. При следующем открытии настройки сортировки 
   сохраняются, но знаки сортировки не показываются (чтобы избежать проблем, 
   если сортируемый столбец скрыли)
 - Добавлена поддержка плугинов возвращающих информацию о книге
 - Первая версия плугина для чтения информации из файлов в формате FB2
видео
 - Кое-где подправлен интерфейс
 - Добавлена картинка и примечания для людей
 - После добавления "специальности" (при редактировании фильма) в "неё" 
   не добавлялись люди
 - Добавлены примечания для фильма
 - Для кинокомпании добавлено поле "Страна"
аудио
 - Добавлены изображение знака и примечания для издателя
 - Картинка для исполнителя
 - Заработала сортировка по исполнителю в списке
 - Добавлен быстрый фильтр (по первой букве)
 - Добавлено поле формат, в первую очередь запланировано для винила, 
   но можно использовать для других целей 
 - Некоторые справочники можно наполнять прямо при редактировании 
   без вызова справочников. Если введенное значение отсутствует будет 
   предложено добавить его (из настроек).
 - Для пластинок добавлено: номера матриц для сторон, даты записи и выпуска
дата
 - Исправлена ошибка приводящая к большой утечке памяти (возможно вылетов станет меньше)
 - Заработало поле ввода в справочниках
 - Мелкие исправления
общее
 - Изменён режим настроек (ищется иконка для пункта экслибрис :) )
 - исправления в языковых ресурсах
 - Расширена поддержка плугинов
***********************************
1.3.9b3
книги
 - Исправлено неверное поведение при уходе с поля серия,
   если серия не задана
 - Исправлено отображение томов, если серия не задана
 - В примечаниях по умочанию задаётся шрифт из настроек
 - Добавлены примечания для авторов
 - Сохранятся история по каждому адресату
 - Для автора задаётся родной язык, который используется при
   добавлении произведений, как язык оригинала
 - Переделано сохранение ширины колонок содержания, вроде стало более правильно
 - Можно запомнить позицию в каталоге, к которой необходимо вернутся при 
   следующем запуске. Чтобы сбросить, при редактировании установите отметку 
   в "серое" состояние.
видео
 - примечания переделаны подобно модулю "Книги"
 - при повторном открытии фильтра не учитывался файл локализации
аудио
 - примечания переделаны подобно модулю "Книги"
 - исправлена ошибка при печати каталога
дата
 - Из окна редактирования можно вызвать справочники
 - Доступно редактирование примечаний
 - Можно задать адресат из окна редактирования диска
 - Простейшая печать списка
 - Дополнительные параметры
 - Картинка для диска (можно несколько)
 - фильтрация по катериям
 - Заработало удаление
 - Можно изменить тип диска
 - примечания переделаны подобно модулю "Книги"
общее
 - языковые ресурсы для модуля "Комп. носители" в russian.lng
 - добавлены некоторые пропущенные пункты в языковые ресурсы
***********************************
1.3.9b2
книги
 - изменены иконки на кнопках
 - исправлено "Когда работаешь со
  справочниками авторов в книгах, то при добавлении автора или книги к
  нему, или заполняешь поле "Настоящее", список авторов прыгает в
  самый конец" 
 - При фильтрации учитывается поле MainAuthor
видео
 - не открывался основной набор
 - изменены иконки на кнопках
аудио
 - переделан алгоритм сканирования диска 
 - изменены иконки на кнопках
 - ошибка при удалении из каталога
дата
 - начальная версия модуля, много чего не работает
общее
 - окна "Заставка" и "Настройка" открывались не по середине экрана
   на системах с несколькими мониторами
***********************************
1.3.9b1
книги
 - ББК увеличен до 20 знаков
 - Исправлена ошибка с невозможностью сменить язык в окне редактирования книги
 - При добавлении произведения название дублируется в оригинальном названии
 - Добавлена возможность распечатать список книг как есть
 - При редактировании книги можно задать значения по умолчанию для признака 
   "Основной автор" (актуально для сборников)
 - Для серий можно задать издательство по умолчанию
видео
 - можно задавать фильтр по носителю
аудио
 - мелкие исправления
 - сделана настройка колонок по аналогии с другими модулями
общее
 - изменен внешний вид заставки и окна "О программе"
 - Добавлена возможность подключать дополнительные внешние модули
 - Добавлена проверка на наличие в системе Borland Database Engine (BDE)
 - не совместима с модулями от предыдущих версий
***********************************
1.3.8b4
книги
 - Исправлена ошибка с переводчиками при редактировании произведений 
   из справочников
 - исправлена ошибка с добавлением состояния издания при редактировании 
   информации по книге
 - если у книги не указан автор, в качестве автора берутся параметры 
   для сборников
 - Справочники на закладке "Издание", могут наполнятся через поле ввода
 - Не работал фильтр, если справочнике "Адресаты" не проставлен признак
   "Скрывать в списке издания ... "
 - Заработало колесо мыши в списке произведений, в окне "Новое произведение"
 - Исправлена ошибка с неверным определением состояния фильтра
 - Исправлена ошибка с перемещением жанра на верхний уровень 
 - При отказе от добавления в справочник поле сбрасывается
 - Книги с неуказанным Адресатом, не выпадают из списка
 - Исправлена ошибка. При добавлении в некоторые книги конкретных авторов 
   через кнопку "добавить" курсор не ставится на этого автора, а находится 
   в начале списка.  
 - После добавления произведения, снова показывается окно "Новое произведение"
 - Кое-где подправлены длины полей для ввода/отображения
 - Примечания в формате RTF
 - признак "Основной" автор,по умолчанию включен, а признак "Скрывать ..." 
   у Адресатов, по умолчанию выключен
 - Ширина колонок в содержании, и в списке произведений входящих в серию
   теперь сохраняется
 - Выбирать из списка произведений для добавления в книгу, можно простым 
   нажатием "Enter" на нужно строке
 - Можно выгружать список книг в файл.
видео
 - исправлено расползание контролов, при растягивании окна 
   редактирования кассеты
 - исправлена ошибка с неверным отображением списка фильмов компании
   при открытии справочников
 - Добавлять людей и специальности можно прямо при редактировании фильма
аудио
 - При сканировании диска имя исполнителя урезалось до 25 символов
 - проверяется наличие аудио-диска в дисководе                  
 - Некоторые справочники можно наполнять прямо во время ввода позиций
 - Подправлены ряд ошибок с Исполнителями-Альбомами
 - Исправлено несколько ошибок при сканировании диска
 - Время композиции на дисках может отличаться от времени в справочнике
 - Сохраняется ширина колонок при редактировании альбома
дата
общее
 - востановлено сбрасывание даты возврата, при установке "Адресата" 
   по умолчанию, во всех модулях
 - Исправлены в некоторых местах проблемы с локализацией (но возникли
   проблемы с заголовками окон оттображаемыми Эксплорером)
 - Если при открытии настроек нажать "Омена" окно не откроется
 - Можно задать Параметры шрифта для отрисовки контролов, работает 
   пока только в модуле Книги
***********************************
1.3.8b3
книги
  - исправлена ошибка с быстрым фильтром по авторам на главной форме
  - исправлена периодическая проблема долгого открытия окна для изменения авторов
  - после добавления нового автора в окне "Добавление нового произведения". 
    Вновь добавленый автор становится активным/выбранным.
  - Добавлены поля "Адрес","Телефон" в справочнике состояний, а также признак
    позволяющий не показывать заданные состояния в общем списке
  - Можно добавлять тип произведения прямо в списке
  - Сохраняется ширина и позиция колонки если это меняли непосредственно 
    в списке, также можно влючить автоматический подбор ширины колонок
  - исправлена ошибка в работе с произвольными параметрами
  - Добавлен ряд справочников для описания издания
  - В произведение добавлен "язык оригинала"
  - Если автор не задан или нет главного, можно указать что вставлять в 
    качестве автора в общем списке
видео
  - Поправлены описания систмы звука, Dolby разделен на Dolby Surround и Dolby Digital
    расширено поле под него  
  - Корректно отрисовываются просроченные позиции
  - исправлена ошибка в работе с произвольными параметрами
  - сделана настройка списка в главном окне как и у модуля "Книги"
  - Добавлено поле "Имя файла"
  - Информация о файле частично заполняется автоматически(для AVI)
  - По просьбам трудящихся "Номер" стал символьным, соответственно слегка изменилось 
    его поведение
  - Некоторые справочники можно наполнять прямо во время ввода позиций
аудио
  - исправлена ошибка в работе с произвольными параметрами
  - можно задать картинку для альбома
  - считывается оглавления диска с интернета (CDDB/FreeDB), пока только по 
    http протоколу
дата
общее
  - в настройки добавлена опция "Выдавать запрос на добавление в справочники"
  - добавлена поддержка болгарского языка
  - автоматически добавляется ярлык программы на рабочем столе, 
    отключается в настройках
***********************************
1.3.8b2
книги
  - В нескольких местах сделана возможность быстрого поиска в списках, набирая
    на клавиатуре.  Для вкл/выкл поиска Ctrl+F.
  - Литературную серию можно добавить прямо при редактировании произведения.
  - исправлена ошибка с общим отчетом
  - Стоимость теперь сохраняется
  - Обложка при развертывании основного окна остается на положенном месте
  - Немного изменен порядок сортировки при печати библиографии
  - Вернул кнопку для вызова окна редактирования списка авторов, переводчиков
  - Иправлена непонятная ошибка с изменением ширины столбца в списке авторов книги.
  - Изображение обложки автоматически выкл/вкл при открытии окна редактирования
  - Печать карточки книги
  - Жанры распологаются отныне иерархически
  - исправлена ошибка при вводе переводчиков непосредственно в списке
***********************************
1.3.8b1
книги
  - исправлена ошибка с жанрами, при перемещении между книгами 
    в окне редактирования
  - немного изменен порядок сортировки
  - можно сохранять отчеты в RTF,HTML,CSV,TXT
  - изменилась структура базы, должно открываться быстрее
  - У авторов для книг появился признак основного автора (в качестве автора
    отображается тот или те у кого стоит этот признак, общая длина до 50 знаков)
  - Убрал кнопки для вызова редактирования списка авторов и переводчиков,
    т.к. можно вводить прямо в таблицу. Если кому не удобно сообщите!
  - Можно определить порядок произведений внутри литературной серии
  - немного поменялся интерфейс
  - "Авторов", "Серии", "Издательства", "Состояния", "Переводчиков" можно
    добавлять прямо при редактировании книги без вызова справочников. Если
    введенное значение отсутствует будет предложено добавить его.
  - Настройка списка (что и как показывать, сортировать)
  - Если нет картинки в окне изображения выводится рамка с 'No Image'
видео
  - испавлена ошибка с показом обложки на основной форме
  - исправлены неточности при печати наклеек под XP
  - немного изменилась структура базы
  - расширены параметры печати наклеек, можно выбирать слегка определить что печатать
  - исправлены ошибки при редактировании списка людей (сообщения об ошибке, 
    пропадание людей)
  - принудительный поиск людей при наборе имени на клавиатуре (раньше работал не всегда)
  - исправлена ошибка при отображении компаний при редактировании фильмов
    (что приводило при попытке исправления, к перемещению фильмов между компаниями)
  - исправлены ошибки в работе фильтра (также добавлена возможность поиска имени не 
    по вхождению, а по начальным символам)
  - быстрый поиск в списке кассет(встать на нужном столбце и набирать название, 
    или Ctrl+F затем набирать название)
  - Добавлены позиции описания для оцифрованных фильмов(MPEG4)
  - Кое-где подправлен интерфейс
  - Если нет картинки в окне изображения выводится рамка с 'No Image'
  - Переделан формат очета (можно сохранять в RTF,HTML,CSV,TXT)
аудио
  - исправлены мелкие недочеты при редактировании диска и сканировании
data
общее
  - поменял немного интерфейс
***********************************
1.3.7.
1.Книги:
  - Исправлена ошибка с переводчиками при редактировании произведения из справочника
  - Добавлены на закладку "Местоположение":
     * путь к электронному источнику и кнопка "Открыть"
     * Обложка книги
  - Добавлен срок возврата книги:
     * в настройках задается цвет для просроченных книг
     * книги не со статусом по умолчания (дома) становятся в начало 
       списка в порядке убывания дат возврата
  - исправлена ошибка с фильтром
  - добавлен просмотр обложки в нормальном размере (DoubleClick)
  - окно редактирования книги открывается двойным щелчком в списке
  - сделана справка для модуля
2.Видео
  - добавлен просмотр обложки в нормальном размере (DoubleClick)
  - добавлена дата возврата
  - расширена печать наклеек 
  - переработан фильтр
  - добавлена быстрая фильтрация по первой букве в названии кассеты
3.Аудио
  - добавлена дата возврата
  - добавлен просмотр обложки в нормальном размере (DoubleClick)
  - автоматическая нумерация нового диска
4.Общее:
  - доработана система многоязыковой поддержки 
  - исправлена ошибка при вызове настроек если нет какого-нибудь модуля
  - включены полосы прокрутки в примечаниях во всех модулях
  - исправлена ошибка возникающая при запуске под Windows 95
***********************************
1.3.6.
1.Книги:
  -Немного переделан фильтр (сохраняет значения)
  -отчеты вынесены
  -добавлен отчет по авторам
  -исправлена ошибка при работе с содержанием 
   (книги одного автора >10 произведений)
  -добавил сортировку по алфавиту (жанры, типы, состояния)
  -можно ввести картинку с экслибрисом (будет печататься в отчете)
2.Видео:
  -только мелкие ошибки (см. общее)
3.Аудио:
  -доработал работу с альбомами (редактирование, удаление)
4.Общее:
  -исправлена ошибка со справочниками (иногда возникает)
  -исправлены мелкие ошибки с переводом 
   (что заметил, за правильность перевода не ручаюсь)
  -кое-где поменял длину полей
***********************************
1.3.5.
1.Книги:
  -Исправлена ошибка с пропаданием книг без авторов
  -изменил генератор отчета (модуль стал меньше)
2.Видео:
  -Мелкие исправления
  -Добавлена печать наклеек на касеты (возможны глюки) 
3. Аудио CD
  -изменил генератор отчета (модуль стал меньше)
4.Общее
  -можно выделить каждое состояние своим цветом
  -задать состояние по умолчанию
  -возможность сжатия таблиц 

***********************************
1.3.4.
1.Книги:
  -Исправлены замеченные мелкие ошибки
  -Оптимизированы некоторые запросы, что 
   немного ускорило загрузку при большой базе 
2.Видео:
  - Мелкие исправления
  - Добавлено местоположение для кассет
3. Аудио CD
  - Переименовано в Аудио
  - Добавлен справочник типов носителей (например CD, аудиокассеты, винил)
  - для двухсторонних носителей список произведений может 
    отражаться раздельно для каждой стороны
  - Исправлено довольно большое число ошибок и недочетов
  - Добавлено местоположение
  - Кое-где изменен интерфейс ввода
4.Общее
  - Добавлена возможность многоязыковой поддержки
  - Добавлена возможность проверки структуры 
    таблиц без перезагрузки программы
  - Немного исправлен интерфейс всех модулей   
***********************************
1.3.3.
1.Книги:
  -Исправлена ошибка в фильтре (серии и литю серии)
  -Добавлены кнопочки перемещения между книгами 
   при открытом окне редактирования книги
2.Видео
   -не помню может чего и подправил
3.Аудио CD
   -Первая версия (возможно что будет достаточно глюков)
   -CDDB пока не работает 
    (считается код, если что то можно руками найти через WWW)
   -Информацию по трэкам можно взять с диска 
    подправить и сохранить в базу
4.Общее
   -Изменен формат вызова модулей
   -Добавлен модуль для аудио CD
   сделана заготовка для модуля компьютерных носителей
   -Исправлены мелкие ошибки 

***********************************
1.3.2b3
1.Книги:
  -Исправлены режимы отображения некоторых данных, для совместимости
   с программой импорта данных
  -Исправлена ошибка отображения произведений в справочнике
   (некоторый произведения не отображались)  
2.Видео
  --
3.Общее
  --
***********************************
1.3.2b2
1.Книги
  исправлено:
  -Удаление из справочника авторов
2.Видео
   --
3.Общее
  -Исправлена ошибка не позволяющая запускать программу под Windows 95
***********************************
1.3.2
1.Книги
  Новое:
  -Добавлено фотография автора в справочнике (JPG)
  -Произведения(справочник) перенесены на закладку авторов
  -Изображение книги (JPG)
  -Для электронных изданий путь на издание
  исправлено:
  -доступен код ББК
  -ошибка обновления жанров при вызове справочников из 
   режима редактирования книги
  -в фильтре поиск авторов 
  -удаление из содержания произведения(удалялось из всех книг)
  
2.Видео
  новое:
  -изобрадение кассеты
  -для кинокомпаний список фильмов с возможностью редактирования(справочники)
  -жанры перенесены на фильмы(было кассеты)
  -расширен фильтр
  исправлено:
  -возможно задавать одного и того же человека на разные специальности
  -не отображался издатель в главном окне и при печати

3.Общее
  -Сохраняются позиция и размер основных (по моему мнению:-))
  -библиотека borlndmm.dll больше не нужна
  -проверка таблиц включается для кассет и книг отдельно
  -ну и разные мелкие переделки + новые ошибки
********************************
1.3.1 (бета). 
1.Книги 
  - добавлена возможность создания произвольных характеристик для книги 
    (например: обложка, составитель, качество книги, переплет,...), 
  - местоположения добавлено в справочники 
  - ББК, ISBN. 
  - Еще расширен режим фильтра. 
  - В режиме справочников, при наборе в строке ввода, осуществляется 
    перемещение в текущем справочнике в соответствии с вводимой информацией 
    (чуствительна к регистру). 
  - Исправлены замеченные ошибки, возможно добавлены новые.
2.Видео 
  - Добавлены характеристики позиции (метка, перевод, система звука, 
    система цветности, скорость записи), возможность задать несколько 
    компаний в качестве создателей фильма.
  - Исправлены замеченные ошибки. 
***********************************
1.3.0 (бета).
1. Книги
  - возможность задания переводчика для каждого произведения
  - местоположение книги (шкаф, полка ряд,...в произвольной форме). 
  - Расширен режим фильтра (Поиск по переводчикам и по литературным сериям). 
  - Доработан режим справочников (отражается количесво позиций, переключение 
    между закладками Ctrl+(номер закладки)). 
  - Исправлены замеченные ошибки
2.Общее
  - Добавлен каталог видео-кассет. Смотрите, пробуйте, пишите замечания 
    и предложения. 
*************************************
1.2.6 (бета). 
  - Расширен режим фильтра (добавлена возможность задания условия с отрицанием, 
    ищет не только в названии книги но и в содержании). 
  - Возможность печати каталога. 
  - Возможность избежать лишнего ввода, когда книга и содержимое имеют 
    одинаковое название. 
  - Исправлены замеченные ошибки
*************************************
20/06/2000     Запущено в работу. 
Текущая версия программы 1.2.5 (бета) 
